## LOC enumerations and flags LOC enumerations and flags |

## Functions

const gchar * | qmi_loc_intermediate_report_state_get_string ()

## Types and Values

enum | QmiLocIntermediateReportState

## Object Hierarchy

        GEnum
        ╰── QmiLocIntermediateReportState

## Description

This section defines enumerations and flags used in the LOC service interface.

## Functions

### qmi_loc_intermediate_report_state_get_string ()

    const gchar *
    qmi_loc_intermediate_report_state_get_string
                                   (QmiLocIntermediateReportState val);

Gets the nickname string for the QmiLocIntermediateReportState specified at `val` .

#### Parameters

val | a QmiLocIntermediateReportState. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.20

## Types and Values

### enum QmiLocIntermediateReportState

Whether to enable or disable intermediate state reporting.

#### Members

QMI_LOC_INTERMEDIATE_REPORT_STATE_UNKNOWN | Unknown. |
QMI_LOC_INTERMEDIATE_REPORT_STATE_ENABLE | Enable intermediate state reporting. |
QMI_LOC_INTERMEDIATE_REPORT_STATE_DISABLE | Disable intermediate state reporting. |

Since: 1.20